
# Turn off debuginfo package
%define _enable_debug_packages	%{nil}
%define debug_package %{nil}

%define name yauap
%define version 0.2.4
#define snap pre1

%define release %mkrel 1

%define dbus_version	1.4.16

Name:           yauap
Summary:        The useless audio player
Summary(de):	Der sinnlose Audioplayer
Version:        %version
Release:        %release
URL:            http://www.nongnu.org/yauap/
License:        LGPL
Group:          Sound
Source0:        %{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:       %{_lib}gstreamer0.10
Requires:	gstreamer0.10-plugins-base
Requires:       gstreamer0.10-plugins-good
Requires:       dbus-x11
BuildRequires:	dbus-devel >= %dbus_version
BuildRequires:  libgstreamer0.10-devel
BuildRequires:	libgstreamer-plugins-base-devel
BuildRequires:  dbus-glib-devel

%description
yauap is a simple commandline audio player based on GStreamer.

%description -l de
yauap ist ein einfacher Audioplayer für die Kommandozeile. Er basiert auf
GStreaner.

%prep
%setup -q -n %{name}-%{version}

%build
#export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%make


%install
%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/yauap

%changelog
* Mon Feb 13 2012 Neal <nealbrks0 at gmail dot com> 0.2.4-1pclos2012
- process

* Mon Feb 13 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 0.2.4-1pclos2012
- 0.2.4
- added german summary and description
- commented things from pre version name
- increased dbus version
- renamed spec file from yauap.spec to pclos-yauap.spec
- switched source to .tar.xz

* Mon Feb 05 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.2-0.pre1.1
- Rebuild for pclos2007

* Mon Jan 8 2007 - ssommer@suse.de
- initial package of version 0.1
